﻿import System
import Stub from "stub.engine"
import System.IO
import org.xhtmlrenderer.pdf from "core-renderer"
import java.io from "IKVM.OpenJDK.Core"

def GetFileContents(path as string) as string:
	rdr = StreamReader(path)
	results = rdr.ReadToEnd()
	rdr.Close()
	return results
	
context = {'context' : "hola mundo"}

fileName = "generate_report"

templatePath = "content\\template\\${fileName}.stub"
template = GetFileContents(templatePath)
engine = BooTemplateEngine(template.ToString())
output = engine.Run(context)
System.IO.File.WriteAllText("content\\template\\${fileName}.html", output)


file = java.io.File("content\\template\\${fileName}.html") as java.io.File
out = FileOutputStream("content\\template\\${fileName}.pdf") as java.io.FileOutputStream

renderer = org.xhtmlrenderer.pdf.ITextRenderer() as org.xhtmlrenderer.pdf.ITextRenderer
if renderer != null:
	renderer.setDocument(file)
	renderer.layout()
	renderer.createPDF(out)
else:
	print "no"
